Downloads

Communicator Softphone

Desktop Apps

Requirements: Windows 7 or Above

Version 6.2.1

Requirements: Mac OS X 10.6 or Above

Version 6.2.1

Mobile Apps

Requirements: Android 5.0 or Above

Version 6.2.1

Requirements: iOS 11.0 or Above

Version 6.2.1

© All rights reserved. NewCom.inc

Contact Us

(305) 890-1588

Email Us

sales@cloudxentral.com